Skip to main content
PUT
/
firework
/
v2
/
tenants
/
{tenant_id}
cURL
curl --request PUT \
  --url https://api.flare.io/firework/v2/tenants/{tenant_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "number_of_employees": 123,
  "industry": "global",
  "global_search_calls_limit": 123,
  "prevent_global_search": true
}
'
import requests

url = "https://api.flare.io/firework/v2/tenants/{tenant_id}"

payload = {
"name": "<string>",
"description": "<string>",
"number_of_employees": 123,
"industry": "global",
"global_search_calls_limit": 123,
"prevent_global_search": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
number_of_employees: 123,
industry: 'global',
global_search_calls_limit: 123,
prevent_global_search: true
})
};

fetch('https://api.flare.io/firework/v2/tenants/{tenant_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "next": "<string>",
  "items": "<unknown>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

tenant_id
integer
required

Body

application/json
name
string
required

The Tenant display name

description
string
required

The Tenant's purpose / description

number_of_employees
integer
required

The number of employees for the tenant

industry
enum<string>
required

The Tenant's industry

Available options:
global,
transport,
education,
energy,
finance,
healthcare,
manufacturing,
retail,
software,
telecommunication
Example:

"global"

global_search_calls_limit
integer

The number of API calls allowed for the tenant.

Response

200 - application/json

Success

next
string
items
any